<div class="container mb-4 prduct-women-section">
  <h1 class="heading-text">LATEST MEN’S BRANDS</h1>
  <div class="row">
    <% menProducts.slice(0, 6).forEach(product => { %>
      <div class="col-md-4 mt-4">
        <div class="shopCart">
          <div class="productImgconatainer">
            <img class="w-100 productImg" src="<%= product.productimage %>" alt="">
          </div>
          <h6 class="productTiltle"><%= product.productname %></h6>
          <div class="shopCartButtonContainer">
            <div class="price"><h6 class="mt-1">NU. <%= product.price %></h6></div>
            <div class="Addcart">
              <% if (user) { %>
                <button
                type="button"
                data-bs-toggle="modal"
                data-bs-target="#menAddToCart_<%= product._id %>"
                data-product-id="<%= product._id %>" >
                ADD TO CART
              </button>
              <% } else { %>
                <button type="button" data-bs-toggle="modal" data-bs-target="#openmenLoginModal_<%= product._id %>">ADD TO CART</button>
              <% } %>
            </div>
          </div>
        </div>
      </div>
      <!-- Add To Modal -->
      <div class="modal fade" id="menAddToCart_<%= product._id %>" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
          <div class="modal-content p-3 px-5">
            <div class="modal-header">
              <h5 class="modal-title chooseProductsizeTiltle" id="menexampleModalLabel">Select The Cloth Size</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
              <!-- Form to select the size with radio buttons -->
              <form method="post" action="/mycart" id="sizeSelectForm_<%= product._id %>">
                <input type="hidden" name="productId" value="<%= product._id %>">
                <input type="hidden" name="quantity" value="1">
                <% if (product.size && product.size.length > 0) { %>
                  <% product.size.forEach(size => { %>
                    <input
                      required
                      class="clothSize mt-4"
                      type="radio"
                      name="size"
                      id="<%= product._id %>_size_<%= size %>"
                      value="<%= size %>"
                    >
                    <label for="<%= product._id %>_size_<%= size %>"><%= size %></label>
                  <% }); %>
                <% } %>
                <br>
                <button type="submit" class="AddcartButton my-3"> Add To Cart</button>
              </form>
            </div>
          </div>
        </div>
      </div>

      <!-- Modal -->
      <div class="modal fade" id="openmenLoginModal_<%= product._id %>" tabindex="-1" aria-labelledby="openmenLoginModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
          <div class="modal-content px-4" >
            <div class="modal-header border-0">  
              <p style="line-height: 30px;" class="mt-3">Please login to continue and add a product to the cart! <br>
              <span class="mt-2"> <a href="/login">Click here to login!</a></span>
              </p>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
          </div>
        </div>
      </div>
      <% }); %>

      <!-- load more product women -->
      <div class="row mt-4 mb-4 d-flex flex-row  justify-content-center">
        <button id="menCollections"  class="body-button  col-4">View all collections</button>
        <script>
          document.getElementById("menCollections").addEventListener("click", function() {
              var destinationUrl = "/men";
              window.location.href = destinationUrl;
          });
        </script>
        <div class="col-1"> <svg xmlns="http://www.w3.org/2000/svg" width="23" height="57" viewBox="0 0 23 57" fill="none">
          <path d="M10.4462 56.0655C11.032 56.6513 11.9817 56.6513 12.5675 56.0655L22.1134 46.5196C22.6992 45.9338 22.6992 44.984 22.1134 44.3982C21.5277 43.8125 20.5779 43.8125 19.9921 44.3982L11.5068 52.8835L3.02155 44.3982C2.43577 43.8125 1.48602 43.8125 0.900234 44.3982C0.314447 44.984 0.314447 45.9338 0.900234 46.5196L10.4462 56.0655ZM10.0068 0.789063L10.0068 55.0048H13.0068L13.0068 0.789062L10.0068 0.789063Z" fill="#000"/>
        </svg></div>
      </div>
</div>
</div>


